Bug 624471 - Review Request: perl-Lingua-EN-Tagger - Part-of-speech tagger for English natural language processing
Review Request: perl-Lingua-EN-Tagger - Part-of-speech tagger for English nat...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Lingua-EN...
:
Depends On: 624464 perl-Lingua-Stem
Blocks: 624474
  Show dependency treegraph
 
Reported: 2010-08-16 10:53 EDT by Iain Arnell
Modified: 2010-10-14 02:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Lingua-EN-Tagger-0.16-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-04 01:20:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2010-08-16 10:53:07 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Lingua-EN-Tagger.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Lingua-EN-Tagger-0.16-1.fc15.src.rpm

Description:
The module is a probability based, corpus-trained tagger that assigns POS
tags to English text based on a lookup dictionary and a set of probability
values. The tagger assigns appropriate tags based on conditional
probabilities - it examines the preceding tag to determine the appropriate
tag for the current word. Unknown words are classified according to word
morphology or can be set to be treated as nouns or other parts of speech.

*rt-0.10_01
Comment 1 Petr Pisar 2010-09-29 05:27:08 EDT
Source file is original.
FIX: License is GPLv3, not a perl-like (verified from Tagger.pm).
Summary and Description tags Ok (verified from Tagger.pm).
TODO: Consider INSTALLDIRS=perl and %{perl_privlib}/* as this is the place we want to move all perl packages in F15 (just formal issue as real path is identic).
FIX: Add perl(File::Spec) >= 0.84 (Build)Requires as the module can be dual-lived (http://search.cpan.org/search?query=File%3A%3ASpec&mode=all) in the future.
FIX: Replace perl(HTML::Parser) Requires with versioned perl(HTML::TokeParser) as HTML::TokeParser is used in code. File a bug to upstream to replace perl(HTML::Parser) dependency with perl(HTML::TokeParser) in Makefile.PL.
FIX: (Build)Require perl(Momoize) >= 1.01 (used by Tagger.pm, version specified in META.yml)
FIX: (Build)Require perl(Storable) >= 2.10 (used by Tagger.pm, version specified in META.yml) as the module can be dual-lived (http://search.cpan.org/search?query=Storable&mode=all) in the future.
All tests pass.

$ rpmlint perl-Lingua-EN-Tagger.spec ../SRPMS/perl-Lingua-EN-Tagger-0.16-1.fc13.src.rpm ../RPMS/noarch/perl-Lingua-EN-Tagger-0.16-1.fc13.noarch.rpm 
perl-Lingua-EN-Tagger.spec: W: no-cleaning-of-buildroot %clean
perl-Lingua-EN-Tagger.spec: W: no-buildroot-tag
perl-Lingua-EN-Tagger.spec: W: no-%clean-section
perl-Lingua-EN-Tagger.src: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
perl-Lingua-EN-Tagger.src: W: no-cleaning-of-buildroot %clean
perl-Lingua-EN-Tagger.src: W: no-buildroot-tag
perl-Lingua-EN-Tagger.src: W: no-%clean-section
perl-Lingua-EN-Tagger.noarch: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
2 packages and 1 specfiles checked; 0 errors, 8 warnings.

This is post-F12 spec file (no BuildRoot needed). rpmlint output Ok.
TODO: Correct description spelling (use `look-up' as compound adjective).

$ rpm -pqlv ../RPMS/noarch/perl-Lingua-EN-Tagger-0.16-1.fc13.noarch.rpm 
drwxr-xr-x    2 root    root                        0 zář 29 11:07 /usr/share/doc/perl-Lingua-EN-Tagger-0.16
-rw-r--r--    1 root    root                     1605 kvě 11 19:39 /usr/share/doc/perl-Lingua-EN-Tagger-0.16/Changes
-rw-r--r--    1 root    root                     3633 pro  9  2003 /usr/share/doc/perl-Lingua-EN-Tagger-0.16/README
-rw-r--r--    1 root    root                     3556 zář 29 11:07 /usr/share/man/man3/Lingua::EN::Tagger.3pm.gz
drwxr-xr-x    2 root    root                        0 zář 29 11:07 /usr/share/perl5/Lingua
drwxr-xr-x    2 root    root                        0 zář 29 11:07 /usr/share/perl5/Lingua/EN
drwxr-xr-x    2 root    root                        0 zář 29 11:07 /usr/share/perl5/Lingua/EN/Tagger
-rw-r--r--    1 root    root                    31528 kvě 11 19:39 /usr/share/perl5/Lingua/EN/Tagger.pm
-rw-r--r--    1 root    root                    26267 zář 29 11:07 /usr/share/perl5/Lingua/EN/Tagger/pos_tags.hash
-rw-r--r--    1 root    root                  1351373 zář 29 11:07 /usr/share/perl5/Lingua/EN/Tagger/pos_words.hash
-rw-r--r--    1 root    root                    23243 lis 13  2003 /usr/share/perl5/Lingua/EN/Tagger/tags.yml
-rw-r--r--    1 root    root                      441 lis 13  2003 /usr/share/perl5/Lingua/EN/Tagger/unknown.yml
-rw-r--r--    1 root    root                   977164 lis 14  2003 /usr/share/perl5/Lingua/EN/Tagger/words.yml

File permissions and location Ok.

$ rpm -pq --requires ../RPMS/noarch/perl-Lingua-EN-Tagger-0.16-1.fc13.noarch.rpm | sort | uniq -c  
      1 perl(Carp)  
      1 perl(FileHandle)  
      1 perl(File::Spec)  
      1 perl(HTML::Parser) >= 3.45
      1 perl(HTML::TokeParser)  
      1 perl(Lingua::Stem::En)  
      1 perl(Lingua::Stem) >= 0.81
      1 perl(Memoize)  
      1 perl(Memoize::ExpireLRU) >= 0.55
      1 perl(:MODULE_COMPAT_5.10.1)  
      1 perl(Storable)  
      1 perl(strict)  
      1 perl(warnings)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      2 rpmlib(VersionedDependencies) <= 3.0.3-1

Binary dependencies Ok.

$ rpm -pq --provides ../RPMS/noarch/perl-Lingua-EN-Tagger-0.16-1.fc13.noarch.rpm | sort | uniq -c  
      1 perl(Lingua::EN::Tagger) = 0.16
      1 perl-Lingua-EN-Tagger = 0.16-1.fc13

Binary provides Ok.

Builds on F15 (http://koji.fedoraproject.org/koji/taskinfo?taskID=2496256).

Spec file in line with packaging guidelines.

Please fix all `FIX:' prefixed comments and publish new spec file.
Consider `TODO:' prefixed comments.

Result: NOT APPROVED.
Comment 2 Iain Arnell 2010-09-29 23:50:18 EDT
Thanks for the review Petr. I've fixed the license tag (not sure how I missed that) and added the additional BuildRequires for core modules.

I'm not convinced that using INSTALLDIRS=perl is such a good idea; makes it harder if we decide to change the location again in future.


Spec URL: http://fedorapeople.org/~iarnell/review/perl-Lingua-EN-Tagger.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Lingua-EN-Tagger-0.16-2.fc15.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2500587
Comment 3 Petr Pisar 2010-09-30 04:22:07 EDT
Changes:

--- perl-Lingua-EN-Tagger.spec	2010-08-16 16:53:02.000000000 +0200
+++ perl-Lingua-EN-Tagger.spec.1	2010-09-30 05:50:16.000000000 +0200
@@ -1,18 +1,21 @@
 Name:           perl-Lingua-EN-Tagger
 Version:        0.16
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Part-of-speech tagger for English natural language processing
-License:        GPL+ or Artistic
+License:        GPLv3
 Group:          Development/Libraries
 URL:            http://search.cpan.org/dist/Lingua-EN-Tagger/
 Source0:        http://www.cpan.org/authors/id/A/AC/ACOBURN/Lingua-EN-Tagger-%{version}.tar.gz
 BuildArch:      noarch
 BuildRequires:  perl(ExtUtils::MakeMaker)
-BuildRequires:  perl(HTML::Parser) >= 3.45
+BuildRequires:  perl(File::Spec) >= 0.84
+BuildRequires:  perl(HTML::TokeParser) >= 3.45
 BuildRequires:  perl(Lingua::Stem) >= 0.81
+BuildRequires:  perl(Memoize) >= 1.01
 BuildRequires:  perl(Memoize::ExpireLRU) >= 0.55
+BuildRequires:  perl(Storable) >= 2.10
 BuildRequires:  perl(Test::More)
-Requires:       perl(HTML::Parser) >= 3.45
+Requires:       perl(HTML::TokeParser) >= 3.45
 Requires:       perl(Lingua::Stem) >= 0.81
 Requires:       perl(Memoize::ExpireLRU) >= 0.55
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
@@ -52,5 +55,9 @@
 %{_mandir}/man3/*
 
 %changelog
+* Thu Sep 30 2010 Iain Arnell <iarnell@gmail.com> 0.16-2
+- license is GPLv3
+- tweak buildrequires
+
 * Mon Aug 16 2010 Iain Arnell <iarnell@epo.org> 0.16-1
 - Specfile autogenerated by cpanspec 1.78.


> FIX: License is GPLv3, not a perl-like (verified from Tagger.pm).
Ok.

> FIX: Add perl(File::Spec) >= 0.84 (Build)Requires as the module can be
> dual-lived (http://search.cpan.org/search?query=File%3A%3ASpec&mode=all) in the
> future.
FIX: Version constrain misses in Requires.

> FIX: Replace perl(HTML::Parser) Requires with versioned perl(HTML::TokeParser)
> as HTML::TokeParser is used in code. File a bug to upstream to replace
> perl(HTML::Parser) dependency with perl(HTML::TokeParser) in Makefile.PL.
Ok.

> FIX: (Build)Require perl(Momoize) >= 1.01 (used by Tagger.pm, version specified
> in META.yml)
FIX: Version constrain misses in Requires.

> FIX: (Build)Require perl(Storable) >= 2.10 (used by Tagger.pm, version
> specified in META.yml) as the module can be dual-lived
> (http://search.cpan.org/search?query=Storable&mode=all) in the future.
FIX: Version constrain misses in Requires.

Builds on F15 (http://koji.fedoraproject.org/koji/taskinfo?taskID=2502971).

Please fix all `FIX:' prefixed comments and publish new spec file. Do not forget to filter unversioned dependencies having versioned siblings out.
Result: NOT APPROVED.
Comment 4 Iain Arnell 2010-09-30 12:39:42 EDT
(In reply to comment #3)
> > FIX: Add perl(File::Spec) >= 0.84 (Build)Requires as the module can be
> > dual-lived (http://search.cpan.org/search?query=File%3A%3ASpec&mode=all) in the
> > future.
> FIX: Version constrain misses in Requires.
> 
> > FIX: (Build)Require perl(Momoize) >= 1.01 (used by Tagger.pm, version specified
> > in META.yml)
> FIX: Version constrain misses in Requires.
> 
> > FIX: (Build)Require perl(Storable) >= 2.10 (used by Tagger.pm, version
> > specified in META.yml) as the module can be dual-lived
> > (http://search.cpan.org/search?query=Storable&mode=all) in the future.
> FIX: Version constrain misses in Requires.
> 
> Please fix all `FIX:' prefixed comments and publish new spec file. Do not
> forget to filter unversioned dependencies having versioned siblings out.
> Result: NOT APPROVED.

Petr, please review https://fedoraproject.org/wiki/Packaging/Guidelines#Requires, specifically "if the lowest possible requirement is so old that nobody has a version older than that installed on any target distribution release, there's no need to include the version in the dependency at all". 

Since Memoize 1.01 is from 2002, File-Spec from 2003, and Storable 2.10 is from 2004, I think we're pretty safe in assuming that they've all been available for almost 10 Fedora releases now. Absolutely no need for explicit versioned requires.
Comment 5 Petr Pisar 2010-10-01 03:41:32 EDT
That's assumption is good enough for Fedora, but insufficient for other RPM based distributions. I'm lifting the blockers per Fedora guidelines despite I think it's not good approach.

Result: APPROVED.
Comment 6 Iain Arnell 2010-10-01 04:52:33 EDT
New Package SCM Request
=======================
Package Name: perl-Lingua-EN-Tagger
Short Description: Part-of-speech tagger for English natural language processing
Owners: iarnell
Branches: f13 f14
InitialCC: perl-sig
Comment 7 Kevin Fenzi 2010-10-03 16:25:02 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2010-10-04 01:18:24 EDT
perl-Lingua-EN-Tagger-0.16-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Lingua-EN-Tagger-0.16-2.fc14
Comment 9 Fedora Update System 2010-10-04 01:18:30 EDT
perl-Lingua-EN-Tagger-0.16-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Lingua-EN-Tagger-0.16-2.fc13
Comment 10 Fedora Update System 2010-10-11 23:09:48 EDT
perl-Lingua-EN-Tagger-0.16-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-10-14 02:38:04 EDT
perl-Lingua-EN-Tagger-0.16-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.